## com.baidubce.services.bos.model
Class CopyObjectResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.CopyObjectResponse

    public class CopyObjectResponse

extends BosResponse

Contains the data returned by Baidu Bos from the `BosClient.copyObject(CopyObjectRequest copyObjectRequest)` call. This result may be ignored if not needed; otherwise, use this result to access information about the new object created from the copyObject call.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`CopyObjectResponse()`

Method Summary
`String` `getETag()` Gets the ETag value for the new object that was created in the associated CopyObjectRequest.
`Date` `getLastModified()` Gets the date the newly copied object was last modified.
`void` `setETag(String eTag)` Sets the ETag value for the new object that was created from the associated copy object request.
`void` `setLastModified(Date lastModified)` Sets the date the newly copied object was last modified.

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyObjectResponse

    public CopyObjectResponse()

Method Detail

### getETag

    public String getETag()

  Gets the ETag value for the new object that was created in the associated CopyObjectRequest.

  Returns:
    The ETag value for the new object.

### setETag

    public void setETag(String eTag)

  Sets the ETag value for the new object that was created from the associated copy object request.

  Parameters:
    `eTag` - The ETag value for the new object.

### getLastModified

    public Date getLastModified()

  Gets the date the newly copied object was last modified.

  Returns:
    The date the newly copied object was last modified.

### setLastModified

    public void setLastModified(Date lastModified)

  Sets the date the newly copied object was last modified.

  Parameters:
    `lastModified` - The date the new, copied object was last modified.

Copyright © 2016. All rights reserved.